From 71f5ddbcd4f691ffdb5237ba9ced51152cd0c43e Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Mon, 16 Jun 2014 10:38:57 +0900
Subject: [PATCH 1/3] Move SEQ_MAGIC to sequence.h

This can allow a backend process to detect if a page is being used
for a sequence.
---
 src/backend/commands/sequence.c | 5 -----
 src/include/commands/sequence.h | 4 ++++
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/src/backend/commands/sequence.c b/src/backend/commands/sequence.c
index e608420..2134eae 100644
--- a/src/backend/commands/sequence.c
+++ b/src/backend/commands/sequence.c
@@ -45,11 +45,6 @@
  */
 #define SEQ_LOG_VALS	32
 
-/*
- * The "special area" of a sequence's buffer page looks like this.
- */
-#define SEQ_MAGIC	  0x1717
-
 typedef struct sequence_magic
 {
 	uint32		magic;
diff --git a/src/include/commands/sequence.h b/src/include/commands/sequence.h
index 8819c00..3a69580 100644
--- a/src/include/commands/sequence.h
+++ b/src/include/commands/sequence.h
@@ -18,6 +18,10 @@
 #include "nodes/parsenodes.h"
 #include "storage/relfilenode.h"
 
+/*
+ * "special area" identifier of a sequence's buffer page
+ */
+#define SEQ_MAGIC		0x1717
 
 typedef struct FormData_pg_sequence
 {
-- 
2.0.0

